-- create database
CREATE DATABASE IF NOT EXISTS `test` DEFAULT CHARACTER SET utf8 COLLATE utf8_bin;


-- create user
CREATE USER 'test'@'localhost' IDENTIFIED BY 'pass';
GRANT USAGE ON * . * TO 'test'@'localhost' IDENTIFIED BY 'pass' WITH MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0 ;
-- grant on test-DB
GRANT ALL PRIVILEGES ON `test` . * TO 'test'@'localhost' WITH GRANT OPTION ;
FLUSH PRIVILEGES ;


-- create test-table
 CREATE TABLE `test`.`test_table` (
      `id` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL ,
      `value` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_bin NULL , 
      PRIMARY KEY ( `id` )
    ) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_bin ;

-- init test data
INSERT INTO `test`.`test_table` (`id` , `value`) VALUES ('id_1', 'first_value'), ('id_2', 'second_value');
INSERT INTO `test`.`test_table` (`id` , `value`) VALUES ('id_3', 'third_value'), ('id_4', 'fourth_value');


